kind: Pod
apiVersion: v1
metadata:
  generateName: hello-openshift-77596bd9bc-
  annotations:
    k8s.ovn.org/pod-networks: >-
      {"default":{"ip_addresses":["10.128.2.12/23"],"mac_address":"0a:58:0a:80:02:0c","gateway_ips":["10.128.2.1"],"routes":[{"dest":"100.124.0.0/16","nextHop":"10.128.2.3"}],"ip_address":"10.128.2.12/23","gateway_ip":"10.128.2.1"}}
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.2.12"
          ],
          "mac": "0a:58:0a:80:02:0c",
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.2.12"
          ],
          "mac": "0a:58:0a:80:02:0c",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: restricted
  resourceVersion: '89496'
  name: hello-openshift-77596bd9bc-d5hcr
  uid: a6fcead1-49fd-4c47-8c2a-b05676691d7a
  creationTimestamp: '2023-02-02T00:06:10Z'
  managedFields:
    - manager: jvaldes-c4tx5-master-2
      operation: Update
      apiVersion: v1
      time: '2023-02-02T00:06:10Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/pod-networks': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2023-02-02T00:06:10Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
          'f:labels':
            .: {}
            'f:app': {}
            'f:pod-template-hash': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"36de9811-a10f-4a18-90ea-2ebd8f1e58b9"}': {}
        'f:spec':
          'f:containers':
            'k:{"name":"hello-openshift"}':
              .: {}
              'f:image': {}
              'f:imagePullPolicy': {}
              'f:name': {}
              'f:resources':
                .: {}
                'f:limits':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
                'f:requests':
                  .: {}
                  'f:cpu': {}
                  'f:memory': {}
              'f:terminationMessagePath': {}
              'f:terminationMessagePolicy': {}
          'f:dnsPolicy': {}
          'f:enableServiceLinks': {}
          'f:restartPolicy': {}
          'f:schedulerName': {}
          'f:securityContext': {}
          'f:terminationGracePeriodSeconds': {}
    - manager: multus
      operation: Update
      apiVersion: v1
      time: '2023-02-02T00:06:12Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.v1.cni.cncf.io/network-status': {}
            'f:k8s.v1.cni.cncf.io/networks-status': {}
      subresource: status
    - manager: kubelet
      operation: Update
      apiVersion: v1
      time: '2023-02-02T00:06:16Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"ContainersReady"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Initialized"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Ready"}':
              .: {}
              'f:lastProbeTime': {}
              'f:lastTransitionTime': {}
              'f:status': {}
              'f:type': {}
          'f:containerStatuses': {}
          'f:hostIP': {}
          'f:phase': {}
          'f:podIP': {}
          'f:podIPs':
            .: {}
            'k:{"ip":"10.128.2.12"}':
              .: {}
              'f:ip': {}
          'f:startTime': {}
      subresource: status
  namespace: test-overcommit-workloads
  ownerReferences:
    - apiVersion: apps/v1
      kind: ReplicaSet
      name: hello-openshift-77596bd9bc
      uid: 36de9811-a10f-4a18-90ea-2ebd8f1e58b9
      controller: true
      blockOwnerDeletion: true
  labels:
    app: hello-openshift
    pod-template-hash: 77596bd9bc
spec:
  restartPolicy: Always
  serviceAccountName: default
  imagePullSecrets:
    - name: default-dockercfg-tvdhl
  priority: 0
  schedulerName: default-scheduler
  enableServiceLinks: true
  terminationGracePeriodSeconds: 30
  preemptionPolicy: PreemptLowerPriority
  nodeName: jvaldes-c4tx5-worker-s8clm
  securityContext:
    seLinuxOptions:
      level: 's0:c25,c20'
    fsGroup: 1000640000
  containers:
    - name: hello-openshift
      image: openshift/hello-openshift
      resources:
        limits:
          cpu: '1'
          memory: 512Mi
        requests:
          cpu: 250m
          memory: 256Mi
      volumeMounts:
        - name: kube-api-access-84qg9
          readOnly: true
          mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      terminationMessagePath: /dev/termination-log
      terminationMessagePolicy: File
      imagePullPolicy: Always
      securityContext:
        capabilities:
          drop:
            - KILL
            - MKNOD
            - SETGID
            - SETUID
        runAsUser: 1000640000
  serviceAccount: default
  volumes:
    - name: kube-api-access-84qg9
      projected:
        sources:
          - serviceAccountToken:
              expirationSeconds: 3607
              path: token
          - configMap:
              name: kube-root-ca.crt
              items:
                - key: ca.crt
                  path: ca.crt
          - downwardAPI:
              items:
                - path: namespace
                  fieldRef:
                    apiVersion: v1
                    fieldPath: metadata.namespace
          - configMap:
              name: openshift-service-ca.crt
              items:
                - key: service-ca.crt
                  path: service-ca.crt
        defaultMode: 420
  dnsPolicy: ClusterFirst
  tolerations:
    - key: node.kubernetes.io/not-ready
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/unreachable
      operator: Exists
      effect: NoExecute
      tolerationSeconds: 300
    - key: node.kubernetes.io/memory-pressure
      operator: Exists
      effect: NoSchedule
status:
  phase: Running
  conditions:
    - type: Initialized
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:06:10Z'
    - type: Ready
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:06:16Z'
    - type: ContainersReady
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:06:16Z'
    - type: PodScheduled
      status: 'True'
      lastProbeTime: null
      lastTransitionTime: '2023-02-02T00:06:10Z'
  hostIP: 172.31.251.221
  podIP: 10.128.2.12
  podIPs:
    - ip: 10.128.2.12
  startTime: '2023-02-02T00:06:10Z'
  containerStatuses:
    - restartCount: 0
      started: true
      ready: true
      name: hello-openshift
      state:
        running:
          startedAt: '2023-02-02T00:06:15Z'
      imageID: >-
        docker.io/openshift/hello-openshift@sha256:aaea76ff622d2f8bcb32e538e7b3cd0ef6d291953f3e7c9f556c1ba5baf47e2e
      image: 'docker.io/openshift/hello-openshift:latest'
      lastState: {}
      containerID: 'cri-o://68ff8ae42bbabcd1aeb8960fb0bd8c60ef73b555ec0016bc0f16013926f5f6f6'
  qosClass: Burstable
